Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Provisioning and Management API

WS-Transit-API-OUT-oas2.yaml

Request to send a script to a device

post

This method is used by TSH to provide a script to a device.

Header parameters
x-podstring · max: 128Required

HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming. Subsequent API calls should be sent to this pod.

Body
taskIdstring · min: 1 · max: 64Required

Unique task identifier used to correlate a callback to a request.

walletCardIdstring · min: 1 · max: 64Required

The Wallet Card Identifier. Unique for each wallet card.

seIdstringRequired

Secure Element Identifier

Pattern: ([0-9a-fA-F][0-9a-fA-F]){1,24}
Responses
200

sendScript response payload

application/json
post
/sendScript

Request to update a digital card

post

This method is used by TSH to request to update a digital card.

Header parameters
x-podstring · max: 128Required

HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming. Subsequent API calls should be sent to this pod.

Body
taskIdstring · min: 1 · max: 64Required

Unique task identifier used to correlate a callback to a request.

walletCardIdstring · min: 1 · max: 64Required

The Wallet Card Identifier. Unique for each wallet card.

seIdstringRequired

Secure Element Identifier

Pattern: ([0-9a-fA-F][0-9a-fA-F]){1,24}
operationstring · enumRequired

Operation to perform on a digital card.SUSPEND: for suspending the digital card, usually GP lock is performed on SERESUME: for resuming the digital card, usually GP unlock is performed on SEDELETE: for deleting the digital card and related instances in SEMETADATA_UPDATE: for updating the digital card metadata.cardDescriptor is provided for this operation.REDIRECT: used to notify the device to connect to TSH to fetch some commands using getDeviceCommands API.ERASE: for completely removing the digital card from device and server as defined in GDPR.

Possible values:
Responses
200

updateCard response payload

application/json
post
/updateCard

Request to get the status of a task

post

This method is used by TSH to request a task status.

Header parameters
x-podstring · max: 128Required

HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming. Subsequent API calls should be sent to this pod.

Body
taskIdstring · min: 1 · max: 64Required

Unique task identifier used to correlate a callback to a request.

seIdstringRequired

Secure Element Identifier

Pattern: ([0-9a-fA-F][0-9a-fA-F]){1,24}
Responses
200

getTaskStatus response payload

application/json
taskStatusstring · enumOptionalPossible values:
post
/getTaskStatus

Last updated

Was this helpful?